
#ifndef __STTEXT_H__
#define __STTEXT_H__

#include <string>
#include "st.h"
#include "STFontFace.h"


/**
* STText objects represent text boxes: they draw bitmap text to the screen
* using the specified font face. Text rendering begins at (0,0) in the local
* coordinate system.  Note that the STText class does not own the attached
* STFontFace object.  This permits multiple text boxes to share the same
* font face. (ie. Changing the point size on the face would impact the
* rendering of multiple text boxes).
*/
class STText : public STDrawable {

	public:

	STText(STFontFace* fontFace, const char* text);

	void	 Draw();

	const char* GetText() const;
	void        SetText(const char* text);

	STFontFace* GetFontFace();
	void        SetFontFace(STFontFace* face);

	const STColor&  GetColor() const;
	void	        SetColor(const STColor& c);

	float       GetWidth();

	private:
		STColor     mColor;
		std::string mText;
		STFontFace* mFontFace;
};


#endif  // __STTEXT_H__

